import { RelationDescriptor } from '../models/relationDescriptors';
/**
 *
 * SlothRel is used to indicate that a specific string property
 * corresponds to another entity identifier. The possible relations are:
 *
 *   - belongsTo: one or several entities belongs to a parent entity
 *   - hasMany: one entity has several other entities; the relation is stored the _id
 *
 * @see [[RelationDescriptor]]
 * @param rel the relation description
 */
export default function SlothRel(rel: RelationDescriptor): (this: any, target: object, key: string) => void;
